{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":41253,"path":"platform-security/identity/scim-client-troubleshooting.md","title":"SCIM Client troubleshooting","bundle":null,"doc_type":null,"release":"australia","body":"\n# SCIM Client troubleshooting\n\nTroubleshooting actions can help resolve common issues when setting up or running the SCIM Client.\n\n<table id=\"table_mxt_czm_htb\"><thead><tr><th>\n\nIssue\n\n</th><th>\n\nAction\n\n</th></tr></thead><tbody><tr><td>\n\nResponse contains the following message:\n\n ```\n“message\":\"Unable to access the\ntable core_company with id: 0c441abbc6112275000025157c651c89,\nPlease cross check the Access control rules\"\n```\n\n</td><td>\n\nThe message is displayed if the API is called in a user context and the user does not have access to the table.\n\n You must make sure that the scriptable API is called in the system context.\n\n</td></tr><tr><td>\n\nResponse contains the following message:\n\n ```\n{\"message\":\"User Not Authenticated\",\"detail\":\"\nRequired to provide Auth information”}\n```\n\n</td><td>\n\n-   Make sure that the token is generated through the corresponding REST message and it is valid.\n-   Make sure that the scriptable API is called in the system context.\n\n</td></tr><tr><td>\n\nResponse contains the following message:\n\n ```\nScript execution failed, the reason is:\nCannot cast java.lang.Integer to java.lang.String \n```\n\n</td><td>\n\nIn the SCIM attribute mapping, if the field is defined to fetch from a script with this issue, then make sure that the return type should always be a string.\n\n</td></tr><tr><td>\n\nResponse contains the following message:\n\n ```\n\"status\": \"400\", \n\"scimType\": \"invalidValue\", \n\"detail\": \"Manager id : 02826bf03710200044e0bfc8bcbe5ds8 \ndoesn't exist\"  \n```\n\n</td><td>\n\nFor any SCIM attribute that expects the ID, then that ID is always of the provider system. Make sure the ID that is passed in the payload is valid in the provider system.\n\n</td></tr></tbody>\n</table>## Areas to check for troubleshooting\n\nThe following are some of the areas that can be checked for troubleshooting errors when using the SCIM Client:\n\n-   If any issue is found while running any of the scriptable APIs, see the SCIM Client logs section.\n\n    |Field|Description|\n    |-----|-----------|\n    |Request ID|Unique ID that represents a scriptable API called.|\n    |SCIM Provider|Provider name for which the API is called.|\n    |Resource|Name of the resource for which the API is called.|\n    |Resource ID|The ID for which the API is called. For deletion, the ID represents the resource ID in the provider system and the ID is in the client system.|\n    |Action|API that is called|\n    |Status|Status of the log as a success or failure|\n    |Message|Success or error message. The error message can be from the SCIM provider or because of configuration issues in the SCIM Client.|\n\n-   Check the request body by configuring and viewing outbound calls. To learn more, see [Outbound web services logging](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/web-services/outbound-request-logging.md).\n-   Update log levels by adding the content-type, testing the sample, and navigating to corresponding the HTTP Method form in the REST message of the corresponding provider.\n-   If the request body is truncated, then increase the limit by using system property **glide.outbound\\_http.content.max\\_limit**.\n\n"}}